from imu import MPU6050
from time import sleep
from machine import Pin, I2C
from easy_comms import Easy_comms
import math

# Constants
GRAVITY = 9.81  # m/s^2 (standard gravity)
Time_Const = 0.05
Est_V = 0
Est_X = 0
prev_drop = 0

# Initialize the accelerometer
i2c = I2C(1, sda=Pin(6), scl=Pin(7), freq=400000)
imu = MPU6050(i2c)

# Initialize the communication
com1 = Easy_comms(uart_id=0, baud_rate=9600)
com1.start()

# zero the sensor, to account for any amount of tilt in the sensor
sleep(1)
ax=round(imu.accel.x,2)/GRAVITY
zeroed = ax


while True:
    # Reads the values of the accelerometer
    ax=(round(imu.accel.x,2)/GRAVITY)-zeroed
    print(ax)
    
    # Helped by Drew Griggs
    Est_V += ax*Time_Const
    Est_X += Est_V * Time_Const
    if(abs(Est_X - prev_drop) > 1.83):
        com1.send("yes") 
        prev_drop = Est_X
    sleep(Time_Const)